#include <iostream>

using namespace std;

string sredi(string s, int r, int v){
	for(int i=r-1; i < v; i++){
		if(s[i]=='1')
			s[i]='0';
		else
			s[i]='1';
	}
	int broj = 0;
	for(int i=0; i < s.length(); i++)
	{
		if(s[i] == '1')
			broj+=1;
	}
	cout << broj << endl;
	return s;
}

int main() {
	int n, c, q, r, v;
	string s;
	cin >> n >> c >> q >> s;
	for(int i=0; i < q; i++)
	{
		cin >> r >> v;
		s = sredi(s, r, v);
	}
	
	return 0;
}